- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- COPYRIGHT

# NAME

d2i_X509_AUX, i2d_X509_AUX, i2d_re_X509_tbs, i2d_re_X509_CRL_tbs, i2d_re_X509_REQ_tbs - X509 encode and decode functions

# SYNOPSIS

     #include <openssl/x509.h>

     X509 *d2i_X509_AUX(X509 **px, const unsigned char **in, long len);
     int i2d_X509_AUX(X509 *x, unsigned char **out);
     int i2d_re_X509_tbs(X509 *x, unsigned char **out);
     int i2d_re_X509_CRL_tbs(X509_CRL *crl, unsigned char **pp);
     int i2d_re_X509_REQ_tbs(X509_REQ *req, unsigned char **pp);

# DESCRIPTION

The X509 encode and decode routines encode and parse an X509 structure, which represents an X509 certificate.

d2i_X509_AUX() is similar to i2d_X509(3), but the encoded output contains both the certificate and any auxiliary trust information. This is used by the PEM routines to write "TRUSTED CERTIFICATE" objects. Note that this is a non-standard OpenSSL-specific data format.

i2d_re_X509_tbs() is similar to SEE ALSO

X509_CRL_get0_by_serial(3), X509_get_ext_d2i(3), X509_get_pubkey(3), X509_get_version(3), X509_NAME_ENTRY_get_object(3), X509_NAME_print_ex(3), X509_sign(3), X509_verify_cert(3)

# COPYRIGHT

Copyright 2002-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.